System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The enumeration represents the comparison operations that can be performed by the control.

Unlike the other operators, DataTypeCheck is a unary operation. Only the data type of the input control being validated is checked. If the or properties are set when this operation is used, those values are not checked.

Specifies the validation comparison operators used by the control.

- Field
  System.Web.UI.WebControls.ValidationCompareOperator To be added

  A comparison for data type only.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ValidationCompareOperator To be added

  A comparison for equality.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ValidationCompareOperator To be added

  A comparison for greater than.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ValidationCompareOperator To be added

  A comparison for greater than or equal to.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ValidationCompareOperator To be added

  A comparison for less than.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ValidationCompareOperator To be added

  A comparison for less than or equal to.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ValidationCompareOperator To be added

  A comparison for inequality.

  1.0.5000.0
  2.0.0.0